package com.hzya.frame.u9c.warehouse.entity;

import com.hzya.frame.web.entity.BaseEntity;
/**
 * (VU9cWarehouse)实体类
 *
 * @author makejava
 * @since 2023-10-26 10:36:07
 */
public class VU9cWarehouseEntity extends BaseEntity {

    
    private String id;
    private String code;//编码
    private String name;//名称
    private String orgId;//组织ID
    private String spec;//规格
    private String invAvailability;//库存可用量
    private String reserveQuantity;//预留数量
    private String invStock;//库存现存量
    private String batch;//批号
    private String unit;//计量单位
    private String invId;//料品主键
    private String updateTime;//更新时间
    private String operatorsId;//操作员
    private String warehouseName;//仓库
    private String allocation;//货位
    private String orgCode;//组织编码
    private String orgName;//组织名称
    private String dataId;//CRM主键

    @Override
    public String getId() {
        return id;
    }

    @Override
    public void setId(String id) {
        this.id = id;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public String getInvAvailability() {
        return invAvailability;
    }

    public void setInvAvailability(String invAvailability) {
        this.invAvailability = invAvailability;
    }

    public String getReserveQuantity() {
        return reserveQuantity;
    }

    public void setReserveQuantity(String reserveQuantity) {
        this.reserveQuantity = reserveQuantity;
    }

    public String getInvStock() {
        return invStock;
    }

    public void setInvStock(String invStock) {
        this.invStock = invStock;
    }

    public String getBatch() {
        return batch;
    }

    public void setBatch(String batch) {
        this.batch = batch;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getInvId() {
        return invId;
    }

    public void setInvId(String invId) {
        this.invId = invId;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getOperatorsId() {
        return operatorsId;
    }

    public void setOperatorsId(String operatorsId) {
        this.operatorsId = operatorsId;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getAllocation() {
        return allocation;
    }

    public void setAllocation(String allocation) {
        this.allocation = allocation;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}

